class SteamAuth_Listener
{
    public static function templateHook($hookName, &$contents, array $hookParams, XenForo_Template_Abstract $template)
    {
        if ($hookName == 'login_form') {
            $steamUrl = XenForo_Link::buildPublicLink('steam/login');
            $button = '<a href="' . $steamUrl . '" class="button"><span>Connexion avec Steam</span></a>';
            $contents .= $button;
        }
    }
}